-- 
-- Structure for table `tbl_comment`
-- 

DROP TABLE IF EXISTS `tbl_comment`;
CREATE TABLE IF NOT EXISTS `tbl_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `content` text COLLATE utf8_unicode_ci NOT NULL,
  `status` int(11) NOT NULL,
  `create_time` int(11) DEFAULT NULL,
  `author` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `url` varchar(128) COLLATE utf8_unicode_ci DEFAULT NULL,
  `post_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_comment_post` (`post_id`),
  CONSTRAINT `FK_comment_post` FOREIGN KEY (`post_id`) REFERENCES `tbl_post` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

-- 
-- Data for table `tbl_comment`
-- 

INSERT INTO `tbl_comment` (`id`, `content`, `status`, `create_time`, `author`, `email`, `url`, `post_id`) VALUES
  ('2', 'Sample comment', '2', '1336347248', 'Daniel', 'idrini@gmail.com', '', '12');

-- 
-- Structure for table `tbl_lookup`
-- 

DROP TABLE IF EXISTS `tbl_lookup`;
CREATE TABLE IF NOT EXISTS `tbl_lookup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `code` int(11) NOT NULL,
  `type` varchar(128) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

-- 
-- Data for table `tbl_lookup`
-- 

INSERT INTO `tbl_lookup` (`id`, `name`, `code`, `type`, `position`) VALUES
  ('11', 'Draft', '1', 'PostStatus', '1'),
  ('12', 'Published', '2', 'PostStatus', '2'),
  ('13', 'Archived', '3', 'PostStatus', '3'),
  ('14', 'Pending Approval', '1', 'CommentStatus', '1'),
  ('15', 'Approved', '2', 'CommentStatus', '2');

-- 
-- Structure for table `tbl_messages`
-- 

DROP TABLE IF EXISTS `tbl_messages`;
CREATE TABLE IF NOT EXISTS `tbl_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_id` int(11) NOT NULL,
  `receiver_id` int(11) NOT NULL,
  `subject` varchar(256) NOT NULL DEFAULT '',
  `body` text,
  `is_read` enum('0','1') NOT NULL DEFAULT '0',
  `deleted_by` enum('sender','receiver') DEFAULT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sender` (`sender_id`),
  KEY `reciever` (`receiver_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

-- 
-- Data for table `tbl_messages`
-- 

INSERT INTO `tbl_messages` (`id`, `sender_id`, `receiver_id`, `subject`, `body`, `is_read`, `deleted_by`, `created_at`) VALUES
  ('8', '1', '1', 'ei', 'aei', '1', NULL, '2012-03-20 12:02:33'),
  ('9', '1', '1', 'hej', 'hej', '1', NULL, '2012-03-23 08:29:17'),
  ('10', '1', '1', 'Re: hej', '', '0', NULL, '2012-05-07 00:23:57'),
  ('11', '1', '1', 'Re: hej', '', '0', NULL, '2012-05-07 00:24:01');

-- 
-- Structure for table `tbl_post`
-- 

DROP TABLE IF EXISTS `tbl_post`;
CREATE TABLE IF NOT EXISTS `tbl_post` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(128) NOT NULL,
  `content` text NOT NULL,
  `tags` text,
  `status` int(11) NOT NULL,
  `create_time` int(11) DEFAULT NULL,
  `update_time` int(11) DEFAULT NULL,
  `author_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_post_author` (`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

-- 
-- Data for table `tbl_post`
-- 

INSERT INTO `tbl_post` (`id`, `title`, `content`, `tags`, `status`, `create_time`, `update_time`, `author_id`) VALUES
  ('12', 'Welcome!', 'This blog system is developed using Yii. It is meant to demonstrate how to use Yii to build a complete real-world application. Complete source code may be found in the Yii releases.\n\nFeel free to try this system by writing new posts and posting comments.', 'yii, blog', '2', '1230952187', '1230952187', '1'),
  ('13', 'A Test Post', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.', 'test', '2', '1230952187', '1230952187', '1');

-- 
-- Structure for table `tbl_tag`
-- 

DROP TABLE IF EXISTS `tbl_tag`;
CREATE TABLE IF NOT EXISTS `tbl_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(128) NOT NULL,
  `frequency` int(11) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

-- 
-- Data for table `tbl_tag`
-- 

INSERT INTO `tbl_tag` (`id`, `name`, `frequency`) VALUES
  ('1', 'yii', '2'),
  ('2', 'blog', '2'),
  ('3', 'test', '1'),
  ('4', 'ia', '1'),
  ('5', 'eaia', '1'),
  ('6', 'aei', '1'),
  ('7', 'yii', '2'),
  ('8', 'blog', '2'),
  ('9', 'test', '1'),
  ('10', 'demo', '1');

-- 
-- Structure for table `tbl_user`
-- 

DROP TABLE IF EXISTS `tbl_user`;
CREATE TABLE IF NOT EXISTS `tbl_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(128) NOT NULL,
  `password` varchar(128) NOT NULL,
  `email` varchar(128) NOT NULL,
  `created` datetime NOT NULL,
  `last_activity` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE CURRENT_TIMESTAMP,
  `avatar` varchar(255) DEFAULT NULL,
  `presentation` mediumtext NOT NULL,
  `public_library` tinyint(1) NOT NULL DEFAULT '0',
  `facebook` varchar(50) NOT NULL,
  `reputation` int(10) NOT NULL DEFAULT '0',
  `persona` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

-- 
-- Data for table `tbl_user`
-- 

INSERT INTO `tbl_user` (`id`, `username`, `password`, `email`, `created`, `last_activity`, `avatar`, `presentation`, `public_library`, `facebook`, `reputation`, `persona`) VALUES
  ('1', 'Admin', '$2a$10$rA7CrKSDG0vfJH0NikgdhOg0QFdH0o3iCJH8r2WDmY/uE3kO7SyrS', 'webmaster@prototyp.com', '2012-03-09 12:03:16', '2012-05-07 10:05:11', 'bourne.jpg', '<a href=\"/files/users/1/Admin_19375414.jpg\">Admin_19375414.jpg</a><span style=\"font-size:x-large;font-family:comic sans ms,cursive;color:#ffffff;background-color:#000000\"></span><span style=\"font-size:x-large\"><img alt=\"evilgrin\" title=\"evilgrin\" src=\"http://blog/assets/7952073/images/smileys/evilgrin.png\" /> lorum ipsumlorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  lorum ipsum  <br /><br /><br /></span>', '0', '', '17', ''),
  ('2', 'demo', '$2a$10$PaydiNueMCVikCS2sR5eNuQxlmFmqUY6TLQWGnW6aDtbIRJE/qwbm', 'demo@demo.com', '2012-03-11 12:03:51', '0000-00-00 00:00:00', '', '', '0', '', '0', '');

